from bot.api import telegram_api
from bot.config import FEEDBACK_CHAT_ID

import logging

from handlers.handle_private import handle_private
logger = logging.getLogger(__name__)
logging.basicConfig(level=logging.INFO)


async def messages_routing(msg, state):
    cid = msg["chat"]["id"]
    uid = msg["from"]["id"]
    text = msg.get("text")

    if cid == uid:
        # сообщения в личке с ботом
        logger.info("private chat message")
        await handle_private(msg, state)

    elif str(cid) == FEEDBACK_CHAT_ID:
        # сообщения из группы обратной связи
        logger.info("feedback chat message")
        logger.debug(msg)
        reply_msg = msg.get("reply_to_message")
        if reply_msg:
            reply_chat_id = reply_msg.get("chat", {}).get("id")
            if reply_chat_id != FEEDBACK_CHAT_ID:
                await telegram_api("sendMessage", chat_id=reply_chat_id, text=text, reply_to=reply_msg.get("message_id"))

    else:
        pass
